internal::input_body_leaf< Output, Body > Class Template Reference

The leaf for input_body. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::input_body_leaf< Output, Body >:
Collaboration diagram for internal::input_body_leaf< Output, Body >:

## Public Member Functions

| input_body_leaf (const Body &_body)
Output | operator() (flow_control &fc) __TBB_override
input_body_leaf * | clone () __TBB_override
Body | get_body ()
Public Member Functions inherited from internal::input_body< Output >
virtual | ~input_body ()

## Private Attributes

Body | body

## Detailed Description

### template<typename Output, typename Body>
class internal::input_body_leaf< Output, Body >

The leaf for input_body.

Definition at line 130 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## input_body_leaf()

template<typename Output , typename Body >

internal::input_body_leaf< Output, Body >::input_body_leaf | ( | const Body & | _body | ) |

inline

Definition at line 132 of file _flow_graph_body_impl.h.

: body(_body) { }
internal::input_body_leaf::body
Body body
Definition: _flow_graph_body_impl.h:147

## Member Function Documentation

## clone()

template<typename Output , typename Body >

input_body_leaf* internal::input_body_leaf< Output, Body >::clone | ( |  | ) |

inline virtual

Implements internal::input_body< Output >.

Definition at line 142 of file _flow_graph_body_impl.h.

{
return new input_body_leaf< Output, Body >(body);
}

References internal::input_body_leaf< Output, Body >::body.

## get_body()

template<typename Output , typename Body >

Body internal::input_body_leaf< Output, Body >::get_body | ( |  | ) |

inline

Definition at line 145 of file _flow_graph_body_impl.h.

{ return body; }

References internal::input_body_leaf< Output, Body >::body.

## operator()()

template<typename Output , typename Body >

Output internal::input_body_leaf< Output, Body >::operator() | ( | flow_control & | fc | ) |

inline virtual

Implements internal::input_body< Output >.

Definition at line 137 of file _flow_graph_body_impl.h.

{
check_input_node_body_input_type(body);
return body(fc);
}
internal::check_input_node_body_input_type
void check_input_node_body_input_type(Body)
Definition: _flow_graph_body_impl.h:117

References internal::input_body_leaf< Output, Body >::body, and internal::check_input_node_body_input_type().

Here is the call graph for this function:

## Member Data Documentation

## body

template<typename Output , typename Body >

Body internal::input_body_leaf< Output, Body >::body

private

Definition at line 147 of file _flow_graph_body_impl.h.

Referenced by internal::input_body_leaf< Output, Body >::clone(), internal::input_body_leaf< Output, Body >::get_body(), and internal::input_body_leaf< Output, Body >::operator()().

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.